html {
  cursor: url('../image/cursor.png'), default;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

a {
  color: #e4e3e3;
  text-decoration: none;
}

body,
input {
  color: #e4e3e3;
  background-color: #000;
}

* {
  padding: 0;
  margin: 0;
  font-family: monospace;
}

body {
  overflow-x: hidden;
}

input {
  outline: 0;
  border: none;
}



pre {
  font-size: 1.15em;
}

.box,
body,
input {
  background-color: #000;
}


.top-right {

  position: fixed;
  text-align: center;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  overflow: hidden;
  content: attr(data-hover)
}

.container {
  position: fixed;
  text-align: center;
  top: 90%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
    padding: 10px 10px;
    -moz-opacity: 0.6;
    -khtml-opacity: 0.6;
    opacity: 0.6;
}

.main {
  overflow: hidden;
}

main {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: -3;
}

.background {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: -3;
}

#pattern {
  background: transparent url('../others/dot.png') repeat 0 0;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  z-index: -1;
  opacity: 1;
}


#pattern,
#background {
  position: absolute;
  width: 100%;
  height: 100%;
}

#background {
  z-index: -2;
  position: fixed;
  top: 50%;
  left: 50%;
  min-width: 135%;
  min-height: 110%;
  width: auto;
  height: auto;
  transform: translateX(-50%) translateY(-50%);
  background-size: cover;
  overflow: hidden;
  -webkit-filter: blur(5px);
  -moz-filter: blur(5px);
  -o-filter: blur(5px);
  -ms-filter: blur(5px);
  filter: blur(5px);
}

#flyup-div {
  position: fixed;
  left: 50%;
  bottom: -200px; /* start off-screen */
  transform: translateX(-50%);
  padding: 5px 5px;
  background-color: #11111100;
  color: #ffffff00;
  border-radius: 2px;
  opacity: 0;
  z-index: 10000;
  transition: bottom 0.8s ease, opacity 0.5s ease;
}

#flyup-div.show {
  bottom: 30%;        /* center vertically */
  transform: translate(-50%, 50%);
  opacity: 1;
}

.socials {  
    display: flex;
    justify-content: center;
    gap: 24px;
    font-size: 30px;
}

.socials a {
    text-decoration: none;
    color: #ffffff;
    transition: .5s;
    filter: drop-shadow(0px 0px 10px #3b3b3b);
}

.socials a:hover {
    transform: scale(1.4);
}

.socials svg {
    width: 30px;
    height: 30px;
}

::-webkit-scrollbar {
  width: 0;
}
